#!/usr/bin/perl
#Informacion del Equipo
#IP;Hardware;SerialNumber;IOS

my $target_ip = $ARGV[0];
my $community = $ARGV[1];

$result = '';
#$result .= `snmpget -v2c -c $community -Ovq $target_ip sysName.0` . ';';
$result .= $target_ip . ';';

$error = '';
$error .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.2.1 | grep exists`;

$serial = '';
$serial .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.11.1`;
$serial =~ s/\"|\n|\<|\>|\&|\[|\]//g;

if ($error eq "" && $serial ne "")
{
	$result .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.2.1` . ';';
	$result .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.11.1` . ';';
} else {

	$VSS = '';
	$VSS .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.2.1 | grep Virtual`;

	if ($VSS eq "") {
		$result .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.2.1001` . ';';
		$result .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.11.1001` . ';';
	} else {
		$result .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.2.1` . ';';
		$result .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.11.2` . ';';
	}
}

$result .= `snmpget -v2c -c $community -Ovq $target_ip sysDescr.0 | grep IOS`;
$result =~ s/\"|\n|\<|\>|\&|\[|\]//g;
print $result . "\n";
exit 0;
