#!/usr/bin/perl
#Inventario de Tarjetas
#Slot;PartNumber;SerialNumber

#!/usr/bin/perl -w

my $target_ip = $ARGV[0];
my $community = $ARGV[1];

#~ Execute command
$command = `snmpwalk -v2c -c $community $target_ip mib-2.47.1.1.1.1.2`;

#~ Split the output in lines
@temp = split ("\n", $command);
my @values;

#~ Each line
foreach (@temp) {
	#~ swap dots by spaces
	$_ =~ s/\./ /g;
	#~ split the line by spaces
	@line = split (/ /, $_);
	#~ save the 7th value
	push (@values, $line[7]);
}

foreach (@values) {
	#~ print "$_";
	$PID = '';
	$PID .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.13.$_`;
	$PID .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.11.$_`;
	$PID =~ s/\"|\n|\<|\>|\&|\[|\]//g;

	if ($PID ne "" ) {
		$result = '';
		#$result .= `snmpget -v2c -c $community -Ovq $target_ip sysName.0` . ';';
		$result .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.7.$_` . ';';
		#$result .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.2.$_` . ';';
		$result .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.13.$_` . ';';
		$result .= `snmpget -v2c -c $community -Ovq $target_ip mib-2.47.1.1.1.1.11.$_`;
		
		$result =~ s/\"|\n|\<|\>|\&|\[|\]//g;
		print $result . "\n";
	}
}
exit 0;
