#!/usr/bin/perl
#Inventario de Puertos
#Interface;Description;AdminStatus;OperStatus

#!/usr/bin/perl -w

my $target_ip = $ARGV[0];
my $community = $ARGV[1];

$command = `snmpwalk -v2c -c $community $target_ip ifDescr`;

#~ Split the output in lines
@temp = split ("\n", $command);
my @values;

#~ Each line
foreach (@temp) {
	#~ swap dots by spaces
	$_ =~ s/\./ /g;
	#~ split the line by spaces
	@line = split (/ /, $_);
	#~ save the 7th value
	push (@values, $line[1]);
}

foreach (@values) {
	$result = '';
	$result .= `snmpget -v2c -c $community -Ovq $target_ip ifDescr.$_` . ';';
	$result .= `snmpget -v2c -c $community -Ovq $target_ip ifAlias.$_` . ';';
	$result .= `snmpget -v2c -c $community -Ovq $target_ip ifAdminStatus.$_` . ';';
	$result .= `snmpget -v2c -c $community -Ovq $target_ip ifOperStatus.$_`;

	$result =~ s/\"|\n|\<|\>|\&|\[|\]//g;
	print $result . "\n";
}

exit 0;
